Bug 100821 - Up2Date lost it's connection during an update and won't resume
Up2Date lost it's connection during an update and won't resume
Status: CLOSED DUPLICATE of bug 100784
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-25 15:32 EDT by Lyle Sharp
Modified: 2007-04-18 12:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:57:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lyle Sharp 2003-07-25 15:32:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
On intitial update attempt, the agent lost it's connection.  Upon restart it
errored out.  pertinent error log entries below.  I can't reproduce the original
error, but the secondary error occurs each time up2date attempts to download
updates.



Version-Release number of selected component (if applicable):
up2date-3.1.23-1

How reproducible:
Sometimes

Steps to Reproduce:
1.break an up2date download connection in mid-file.
2.attempt to update the same package
3.
    

Actual Results:  Cannot perform step one.  Step 2 results in file cannot be
found error 17

Expected Results:  Up2date should resume download or re-download the package and
continnue normally.

Additional info:

[Thu Jul 24 10:54:43 2003] up2date A socket error occurred: (-2, 'Name or
service not known'), attempt #1
[Thu Jul 24 10:55:28 2003] up2date A socket error occurred: (-2, 'Name or
service not known'), attempt #2
[Thu Jul 24 10:56:13 2003] up2date A socket error occurred: (-2, 'Name or
service not known'), attempt #3
[Thu Jul 24 10:56:58 2003] up2date A socket error occurred: (-2, 'Name or
service not known'), attempt #4
[Thu Jul 24 10:57:43 2003] up2date A socket error occurred: (-2, 'Name or
service not known'), attempt #5
[Thu Jul 24 15:15:00 2003] up2date updating login info
[Thu Jul 24 15:15:00 2003] up2date logging into up2date server
[Thu Jul 24 15:15:00 2003] up2date successfully retrieved authentication token
from up2date server
[Thu Jul 24 15:15:41 2003] up2date availablePackageList from network
[Thu Jul 24 15:52:35 2003] up2date getAdvisoryInfo for kernel-2.4.20-8
[Thu Jul 24 15:53:11 2003] up2date getAdvisoryInfo for kernel-2.4.20-8
[Thu Jul 24 15:53:32 2003] up2date getAdvisoryInfo for LPRng-3.8.19-3
[Thu Jul 24 16:15:20 2003] up2date A protocol error occurred: Authorization
Required , attempt #1,
[Thu Jul 24 16:15:21 2003] up2date Auth token timeout occurred
 errmsg: 
Error Message:
    Expired client authentication token
Error Class Code: 34
Error Class Info: Client session token has expired.
Explanation: 
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

[Thu Jul 24 16:15:21 2003] up2date updating login info
[Thu Jul 24 16:15:22 2003] up2date logging into up2date server
[Thu Jul 24 16:15:22 2003] up2date successfully retrieved authentication token
from up2date server
[Fri Jul 25 07:23:19 2003] up2date updating login info
[Fri Jul 25 07:23:19 2003] up2date logging into up2date server
[Fri Jul 25 07:23:20 2003] up2date successfully retrieved authentication token
from up2date server
[Fri Jul 25 07:23:50 2003] up2date availablePackageList from network
[Fri Jul 25 08:25:07 2003] up2date A protocol error occurred: Authorization
Required , attempt #1,
[Fri Jul 25 08:25:08 2003] up2date Auth token timeout occurred
 errmsg: 
Error Message:
    Expired client authentication token
Error Class Code: 34
Error Class Info: Client session token has expired.
Explanation: 
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

[Fri Jul 25 08:25:08 2003] up2date updating login info
[Fri Jul 25 08:25:08 2003] up2date logging into up2date server
[Fri Jul 25 08:25:10 2003] up2date successfully retrieved authentication token
from up2date server
[Fri Jul 25 08:33:16 2003] up2date A protocol error occurred: Not Found ,
attempt #1,
[Fri Jul 25 08:33:16 2003] up2date File Not Found: r-e-d.a

Error Message:
    Invalid RPM package gtkhtml-1.1.9-0.9.src.rpm requested
Error Class Code: 17
Error Class Info: File not found.
Explanation: 
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.
Comment 1 Mark J. Cox (Product Security) 2003-07-27 05:02:42 EDT

*** This bug has been marked as a duplicate of 100784 ***
Comment 2 Red Hat Bugzilla 2006-02-21 13:57:44 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.